BackendHTTP APIFunctions

Get dry run results

Requires an API key with the environment:functions:dryrun scope. Learn more about API key scopes.

Returns the status and result of an asynchronous function dry run.

GET
/functions/dryruns/{id}

Returns the status and result of an asynchronous function dry run.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

id*string
Formatuuid

Response Body

Successfully retrieved the dry run.

application/json
  1. response
id*string
Formatuuid
status*FunctionDryrunStatus
Value in"waiting""running""success""failed"
integration_id*string
function_type*RunnableFunctionType
Value in"action""sync"
created_at*string
Formatdate-time
updated_at*string
Formatdate-time
started_at?string
Formatdate-time
completed_at?string
Formatdate-time
duration_ms?integer
Range0 <= value
output?string

Dry run command output.

result?unknown

The function result, when the dry run emits one.

error?
Example Request
curl -X GET 'https://api.tenklo.dev/functions/dryruns/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "status": "waiting",  "integration_id": "string",  "function_type": "action",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "duration_ms": 0,  "output": "string",  "result": null,  "error": {    "code": "string",    "message": "string",    "payload": null  }}